package net.wanji.opt.servicev2.strategy.impl;

import com.alibaba.fastjson.JSONObject;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import net.wanji.opt.dao.mapper.strategy.StrategyPriorityMapper;
import net.wanji.opt.entity.strategy.StrategyPriorityDailyInfo;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import net.wanji.opt.servicev2.strategy.StrategyPriorityService;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.util.List;
import java.util.Map;

/**
* <p>
* 策略优先级日计划详情表 服务实现类
* </p>
*
* @author fengyi
* @since 2025-03-28
*/
@Service
 public class StrategyPriorityServiceImpl extends ServiceImpl<StrategyPriorityMapper, StrategyPriorityDailyInfo> implements StrategyPriorityService {

	 @Resource
	 private StrategyPriorityMapper strategyPriorityMapper;

	
	 /**
	 * 策略优先级日计划详情表详情
	 * @param id
	 * @return
	 */
	 @Override
	 public StrategyPriorityDailyInfo info(Long id) {
	
	 	return getById(id);
	 }
	
	 /**
	 * 策略优先级日计划详情表新增
	 * @param param 根据需要进行传值
	 * @return
	 */
	 @Override
	 public void add(StrategyPriorityDailyInfo param) {
	
	 	save(param);
	 }
	
	 /**
	 * 策略优先级日计划详情表修改
	 * @param param 根据需要进行传值
	 * @return
	 */
	 @Override
	 public void modify(StrategyPriorityDailyInfo param) {
	
	 	updateById(param);
	 }
	
	 /**
	 * 策略优先级日计划详情表删除(单个条目)
	 * @param id
	 * @return
	 */
	 @Override
	 public void remove(Long id) {
	 	removeById(id);
	 }
	
	 /**
	 * 策略优先级日计划详情表删除(多个条目)
	 * @param ids
	 * @return
	 */
	 @Override
	 public void removes(List<Long> ids) {
	
	 	removeByIds(ids);
	 }



	@Override
	public  List<StrategyPriorityDailyInfo> pageStrategyCrossList() {
		 List<StrategyPriorityDailyInfo> allList= strategyPriorityMapper.pageStrategyCrossList();

		 return allList ;
	 }
}
